Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaImplWriter

    java.lang.Object
      |
      +--org.apache.axis.wsdl.toJava.JavaWriter
            |
            +--org.apache.axis.wsdl.toJava.JavaClassWriter
                  |
                  +--org.apache.axis.wsdl.toJava.JavaImplWriter

All Implemented Interfaces:
  Generator

public class JavaImplWriter
extends JavaClassWriter

This is Wsdl2java's implementation template writer. It writes the Impl.java file which contains the Impl class.

Field Summary
`protected BindingEntry` | `bEntry`
`protected javax.wsdl.Binding` | `binding`
`protected SymbolTable` | `symbolTable`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` | `JavaImplWriter(Emitter emitter, BindingEntry bEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getImplementsText()` Returns the appropriate implements text
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the binding's stub file.
`protected void` | `writeOperation(java.io.PrintWriter pw, Parameters parms)` Write the implementation template for the given operation.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getExtendsText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### binding

    protected javax.wsdl.Binding binding

### symbolTable

    protected SymbolTable symbolTable

### bEntry

    protected BindingEntry bEntry

Constructor Detail

### JavaImplWriter

    protected JavaImplWriter(Emitter emitter,
                             BindingEntry bEntry,
                             SymbolTable symbolTable)

  Constructor.

Method Detail

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the binding's stub file.
  Overrides:
    `writeFileBody` in class `JavaWriter`

### getImplementsText

    protected java.lang.String getImplementsText()

  Returns the appropriate implements text
  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:
    " implements "

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  Parameters parms)
                           throws java.io.IOException

  Write the implementation template for the given operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.